package com.neusoft.smart.pos.card.persistent.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class CardRefundOrder implements Serializable {
    private Integer id;

    private String outTradeId;

    private String outRefundNumber;

    private String cardTradeNum;

    private String cardRefundNum;

    private Long refundAmount;

    private String refundStatus;

    private Date refundedTime;

    private Integer version;

    private Date createdAt;

    private String createdBy;

    private Date updatedAt;

    private String updatedBy;

    private String description;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getOutTradeId() {
        return outTradeId;
    }

    public void setOutTradeId(String outTradeId) {
        this.outTradeId = outTradeId == null ? null : outTradeId.trim();
    }

    public String getOutRefundNumber() {
        return outRefundNumber;
    }

    public void setOutRefundNumber(String outRefundNumber) {
        this.outRefundNumber = outRefundNumber == null ? null : outRefundNumber.trim();
    }

    public String getCardTradeNum() {
        return cardTradeNum;
    }

    public void setCardTradeNum(String cardTradeNum) {
        this.cardTradeNum = cardTradeNum == null ? null : cardTradeNum.trim();
    }

    public String getCardRefundNum() {
        return cardRefundNum;
    }

    public void setCardRefundNum(String cardRefundNum) {
        this.cardRefundNum = cardRefundNum == null ? null : cardRefundNum.trim();
    }

    public Long getRefundAmount() {
        return refundAmount;
    }

    public void setRefundAmount(Long refundAmount) {
        this.refundAmount = refundAmount;
    }

    public String getRefundStatus() {
        return refundStatus;
    }

    public void setRefundStatus(String refundStatus) {
        this.refundStatus = refundStatus == null ? null : refundStatus.trim();
    }

    public Date getRefundedTime() {
        return refundedTime;
    }

    public void setRefundedTime(Date refundedTime) {
        this.refundedTime = refundedTime;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy == null ? null : createdBy.trim();
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy == null ? null : updatedBy.trim();
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }
}